#ifndef _SECTION_H_
#define _SECTION_H_

#include <sys/types.h>

/*
 * Section :
 *   Define a ROM area.
 * 	 This area can contain data or code.
 */
struct section_ {
	char  type;  // type (defined below)
	char* name;  // name
	off_t start; // start address
	off_t end;   // end address
};
typedef struct section_ Section;

enum SectionType {
	DATA = 0,
	CODE
};

/*
 * Extract sections from a CSV file
 */
int readSectionsFromCSV(char* iFileName, char iSeparator, Section** iSection, size_t* iSectionCount);
	
#endif // _SECTION_H_
